> For the complete documentation index, see [llms.txt](https://developer.redflagalert.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.redflagalert.net/company-resources/cashflow.md).

# Cashflow

### Example URL:

```
https://api2.redflagalert.net/v4/companies/01777777/cashflow/
```

### JSON Structure:

```javascript
{
	"data": [{
		"attributes": {
			"account_date": "2005-03-31",
			"net_from_operating_activities": 1247000000,
			"net_from_return_investment_servicing": -150000000,
			"no_weeks": 52,
			"increase_in_cash": -457000000,
			"consolidated": "Y",
			"net_before_financing": 694000000,
			"currency": "GBP",
			"net_from_financing": -1151000000
		},
		"type": "cashflow",
		"id": "645323-2674607417"
	}]
}
```

### Attributes

| Field Key                              | Description                                                                                                             | Notes |
| -------------------------------------- | ----------------------------------------------------------------------------------------------------------------------- | ----- |
| `account_date`                         | The date of the accounts                                                                                                |       |
| `net_from_operating_activities`        | Cash value generated from operations                                                                                    |       |
| `net_from_return_investment_servicing` | Cash value of returns on investments and servicing of finance                                                           |       |
| `no_weeks`                             | The number of weeks between the start and the end of the financial period                                               |       |
| `increase_in_cash`                     | Gross increase in cash value                                                                                            |       |
| `consolidated`                         | Some cash flow statements will be group consolidated cash flow statements as opposed to individual cash flow statements |       |
| `net_before_financing`                 | The net cash value from operations                                                                                      |       |
| `currency`                             | The currency used in the presentation of the accounts                                                                   |       |
| `net_from_financing`                   | The net cash value from external finance                                                                                |       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.redflagalert.net/company-resources/cashflow.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
